<?php

return array(
    
    'misc' => array(
        'tokens' => array(
            array('pattern' => 'badPassword', 'status' => 400),
            array('pattern' => 'POST', 'path' => 'tokens', 'status' => 204)
         )
    ),
    
    'rax:autoscale' => array(
        // Groups
        'groups' => 'Group/post',

        // Config
        'groups/{w}/pause'  => 'Config/post_pause',
        'groups/{w}/resume' => 'Config/post_resume',

        // Policies
        'groups/{w}/policies' => 'Policy/post',
        'groups/{w}/policies/{w}/execute' => 'Policy/post_execute',
        
        // Webhooks
        'groups/{w}/policies/{w}/webhooks' => 'Webhook/post',
    ),
    
    'rax:monitor' => array(
        
        // Entities
        'entities/?$' => 'Entity/post',
        'entities/{w}/?$' => 'Entity/put',

        // Checks
        'entities/{w}/checks/?$' => '{}',
        'entities/{w}/test-check/?$' => 'Check/test',
        'entities/{w}/test-check\?debug=true' => 'Check/test_debug',
        'entities/{w}/checks/{w}/test/?$' => 'Check/test_existing',
        'entities/{w}/checks/{w}/test\?debug=true' => 'Check/test_debug',
        'entities/{w}/checks/{w}/?$' => '{}',
        
        // Traceroute
        'monitoring_zones/{w}/traceroute' => 'Zone/traceroute',

        // Alarms
        'entities/{w}/alarms/?$' => '{}',
        'entities/{w}/test-alarm' => 'Alarm/test_alarm_post',
        'entities/{w}/alarms/{w}' => '{}',
        'alarm_examples/{w}' => '{}',

        // Notifications
        'notification_plans/?$' => 'NotificationPlan/post',
        'notification_plans/{w}/?$' => 'NotificationPlan/put',
        'notifications/?$' => 'Notification/post',
        'notifications/{w}/?$' => 'Notification/put',
        'notifications/{w}/test' => 'Notification/test',
        'test-notification' => 'Notification/test'
    ),
    
    'compute' => array(
        
        'action' => array(
            array('pattern' => 'rescue', 'body' => '{"adminPass": "m7UKdGiKFpqM"}'),
            array('pattern' => 'EPIC-IMAGE', 'body' => '', 'status' => 202, 'headers' => array('Location' => 'fooBar')), 
        ),
        'os-networksv2' => array('body' => '{}', 'status' => 201),
        'network' => array(
            '{"network":{"id":"1","cidr":"192.168.0.0/24","label":"foo"}}'
        ),
        'os-keypairs' => '{"keypair":{"fingerprint":"35:9d:d0:c3:4a:80:d3:d8:86:f1:ca:f7:df:c4:f9:d8","name":"name_of_keypair","private_key":"-----BEGIN RSA PRIVATE KEY-----\nMIICXAIBAAKBgQC9mC3WZN9UGLxgPBpP7H5jZMc6pKwOoSgre8yun6REFktn/Kz7\nDUt9jaR1UJyRzHxITfCfAIgSxPdGqB/oF1suMyWgu5i0625vavLB5z5kC8Hq3qZJ\n9zJO1poE1kyD+htiTtPWJ88e12xuH2XB/CZN9OpEiF98hAagiOE0EnOS5QIDAQAB\nAoGAE5XO1mDhORy9COvsg+kYPUhB1GsCYxh+v88wG7HeFDKBY6KUc/Kxo6yoGn5T\nTjRjekyi2KoDZHz4VlIzyZPwFS4I1bf3oCunVoAKzgLdmnTtvRNMC5jFOGc2vUgP\n9bSyRj3S1R4ClVk2g0IDeagko/jc8zzLEYuIK+fbkds79YECQQDt3vcevgegnkga\ntF4NsDmmBPRkcSHCqrANP/7vFcBQN3czxeYYWX3DK07alu6GhH1Y4sHbdm616uU0\nll7xbDzxAkEAzAtN2IyftNygV2EGiaGgqLyo/tD9+Vui2qCQplqe4jvWh/5Sparl\nOjmKo+uAW+hLrLVMnHzRWxbWU8hirH5FNQJATO+ZxCK4etXXAnQmG41NCAqANWB2\nB+2HJbH2NcQ2QHvAHUm741JGn/KI/aBlo7KEjFRDWUVUB5ji64BbUwCsMQJBAIku\nLGcjnBf/oLk+XSPZC2eGd2Ph5G5qYmH0Q2vkTx+wtTn3DV+eNsDfgMtWAJVJ5t61\ngU1QSXyhLPVlKpnnxuUCQC+xvvWjWtsLaFtAsZywJiqLxQzHts8XLGZptYJ5tLWV\nrtmYtBcJCN48RrgQHry/xWYeA4K/AFQpXfNPgprQ96Q=\n-----END RSA PRIVATE KEY-----\n","public_key":"ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAAAgQC9mC3WZN9UGLxgPBpP7H5jZMc6pKwOoSgre8yun6REFktn/Kz7DUt9jaR1UJyRzHxITfCfAIgSxPdGqB/oF1suMyWgu5i0625vavLB5z5kC8Hq3qZJ9zJO1poE1kyD+htiTtPWJ88e12xuH2XB/CZN9OpEiF98hAagiOE0EnOS5Q== Generated by Nova\n","user_id":"fake"}}',
        'servers/{w}/rax-si-image-schedule$' => array(
            'path' => 'schedule_create',
            'status' => 204
        ),
        'metadata' => '{"metadata": {"foo" : "bar"}}',
        'servers/?$' => array(
            'path' => 'server_create'
        )
        
    ),
    
    'object-store' => array(
        
        
        
    ),
    
    'rax:object-cdn' => array(
        
    ),
    
    'rax:database' => array(
        'root' => '{"user":{"name":"root","password":"foo"}}',
        'databases' => array('body' => '{}', 'status' => 202),
        'instances/?$' => array('path' => 'instance_create'),
        'users' => '{}'
    ),
    
    'rax:load-balancer' => array(
        'loadbalancers' => array(
            'body' => '{"loadBalancer":{"id":"123","name":"NONAME"}}', 
            'status' => 202
        )
    ),
    
    'rax:dns' => array(
        'import' => array(
            'body'   => '{"status":"RUNNING","verb":"GET","jobId":"852a1e4a-45b4-409b-9d46-2d6d641b27cf","callbackUrl":"https://dns.api.rackspacecloud.com/v1.0/696206/status/852a1e4a-45b4-409b-9d46-2d6d641b27cf","requestUrl":"https://dns.api.rackspacecloud.com/v1.0/696206/domains/3612932/export"}',
            'status' => 202
        ),
        'domains' => array(
            'body'   => '{"status":"RUNNING","verb":"GET","jobId":"852a1e4a-45b4-409b-9d46-2d6d641b27cf","callbackUrl":"https://dns.api.rackspacecloud.com/v1.0/696206/status/852a1e4a-45b4-409b-9d46-2d6d641b27cf","requestUrl":"https://dns.api.rackspacecloud.com/v1.0/696206/domains/3612932/export"}',
            'status' => 202
        ),
        'rdns' => array(
            'body'   => '{"status":"RUNNING","verb":"GET","jobId":"852a1e4a-45b4-409b-9d46-2d6d641b27cf","callbackUrl":"https://dns.api.rackspacecloud.com/v1.0/696206/status/852a1e4a-45b4-409b-9d46-2d6d641b27cf","requestUrl":"https://dns.api.rackspacecloud.com/v1.0/696206/domains/3612932/export"}',
            'status' => 202
        )
    ),
    
    'rax:queues' => array(
        '/queues/foobar/messages$' => array('status' => 404, 'body' => '{}'),
        '/queues/test-queue/messages$' => array('status' => 201, 'path' => 'post_message', 'headers' => array()),
        '/queues/{w}/messages$' => array('status' => 201, 'path' => 'post_message', 'headers' => array('Location' => '/v1/queues/demoqueue/messages?ids=51db6f78c508f17ddc924357')),
        '/queues/foobar/claims(\?(\w|\&|\=)+)?$' => array('status' => 204, 'body' => '{}'),
        '/queues/baz/claims(\?(\w|\&|\=)+)?$' => array('status' => 404, 'body' => '{}'),
        '/queues/(\w|\-)+/claims(\?(\w|\&|\=)+)?$' => array('status' => 201, 'path' => 'claim_messages')
    )
    
);
